diff scripts/build_pd_heavy.sh @ 462:d9a4fc5357e7 prerelease

Path-relativeness of scripts has been improved. At least update_board will work when double clicked
author Giulio Moro <giuliomoro@yahoo.it>
date Mon, 20 Jun 2016 14:09:43 +0100
parents 86591d203c78
children 2a0b468ce1dd
line wrap: on
line diff
--- a/scripts/build_pd_heavy.sh	Mon Jun 20 13:49:48 2016 +0100
+++ b/scripts/build_pd_heavy.sh	Mon Jun 20 14:09:43 2016 +0100
@@ -21,7 +21,9 @@
 RUN_WITHOUT_SCREEN=1
 BELA_PYTHON27=
 
-. ./.bela_common || exit 1
+SCRIPTDIR=$(dirname "$0")
+[ -z $SCRIPTDIR ] && SCRIPTDIR="./" || SCRIPTDIR=$SCRIPTDIR/ 
+. $SCRIPTDIR.bela_common || { echo "You must be in Bela/scripts to run these scripts" | exit 1; }  
 
 if [ -z "$BELA_PYTHON27" ]; then
     for PY in python python2.7 ; do
@@ -116,8 +118,7 @@
 	done
 
         # invoke the online compiler
-        echo "$BELA_PYTHON27" hvresources/uploader.py "$pdpath"/ -n $ENZIENAUDIO_COM_PATCH_NAME -g c -o "$projectpath" $RELEASE_STRING
-        "$BELA_PYTHON27" hvresources/uploader.py "$pdpath"/ -n $ENZIENAUDIO_COM_PATCH_NAME -g c -o "$projectpath" $RELEASE_STRING ||\
+        "$BELA_PYTHON27" $SCRIPTDIR/hvresources/uploader.py "$pdpath"/ -n $ENZIENAUDIO_COM_PATCH_NAME -g c -o "$projectpath" $RELEASE_STRING ||\
             { echo "ERROR: an error occurred while executing the uploader.py script"; exit 1; }
     fi;